# -*- encoding: utf-8 -*-
# stub: glennr-ey-scp 0.3.2 ruby lib

Gem::Specification.new do |s|
  s.name = "glennr-ey-scp".freeze
  s.version = "0.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Steven Dunlap".freeze, "Glenn Roberts".freeze]
  s.date = "2017-10-11"
  s.description = "Quickly copy files (e.g. YMLs or configuration files) to multiple EngineYard servers".freeze
  s.email = ["steven@roadtrippers.com".freeze, "glenn@groovehq.com".freeze]
  s.executables = ["ey-scp".freeze]
  s.files = ["bin/ey-scp".freeze]
  s.homepage = "http://github.com/groove/ey-scp".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "# ey-scp  Provides a CLI to quickly and painlessly deploy configuration files to multiple instances on EngineYard  ## Installation  1. Run  $ gem install glennr-ey-scp  Or with bundler  gem 'glennr-ey-scp'  2. Make sure that you [have your public key registered with EY](https//support.cloud.engineyard.com/entries/21016528-Add-an-SSH-Key).  ## Usage  1. Run  ey login  from your project directory.  2. Use ```ey-scp``` from any directory with the following syntax:  ey-scp -e ENVIRONMENT [OPTIONS] LOCAL_SOURCE_FILE REMOTE_DESTINATION  e.g.  ey-scp -e production --app-servers ~/local/project/config/foo.yml /remote/project/path/config  ### Specifying target instances  Option | Uploads to instances with roles of ------ | ---------------------------------- --app-servers | solo, app_master, app --app-master | solo, app_master --db-servers | solo, db_master, db_slave --db-master | solo, db_master --db-slaves | solo, db_slave --util-servers | solo, util  ## Contributing  Right now, we could really use someone to refactor the code so that it's less scripty/hackish.  1. Fork it 2. Create your feature branch (`git checkout -b my-new-feature`) 3. Commit your changes (`git commit -am 'Add some feature'`) 4. Push to the branch (`git push origin my-new-feature`) 5. Create new Pull Request".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<net-scp>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8"])
    s.add_dependency(%q<net-scp>.freeze, ["~> 1.1"])
    s.add_dependency(%q<faraday>.freeze, ["~> 0.8"])
  end
end
